Subject: Re: [openpgp] Mailing lists

From: Florian Weimer <[email-masked]>
Date: Sun, 11 Sep 2016 18:56:55 +0200

* Neal H. Walfield:

> The basic idea is to publish the list of subscribes as an OpenPGP
> message.  Concretely:
>
>   To create a mailing list, the mailing list administrator generates a
>   new key pair in the usual way.
>
>   Associated with the key pair is a list of encryption keys
>   (Public-Key Packet, tag 6, or Public-Subkey Packet, tag 14).  Each
>   key may optionally be preceded by a user id (User ID packet, tag
>   13).  This list is stored in a signature subpacket with a new
>   subpacket type.

An existing implementation of this feature uses signature subpacket 10
to specify fingerprints of additional keys to which messages shall be
encrypted, in addition to the user-specified key.  It was rejected for
IETF standardization.